/* 
 * File:   main.c
 * Author: Anybody
 *
 * Created on 19. Juni 2014, 14:21
 */

#include <stdio.h>
#include <stdlib.h>
#include <xc.h>      // Also automatically includes <cp0defs.h> for CP0 register defines

//
// Pragmas for configuration bits
// Auto-detected by MPLAB X and merged into compiled code
//
//
// DEVCFG3
//
#pragma config FUSBIDIO = OFF            // USB USBID Selection (Controlled by Port Function)
#pragma config IOL1WAY  = OFF            // Peripheral Pin Select Configuration (Allow only one reconfiguration)
#pragma config PMDL1WAY = OFF            // Peripheral Module Disable Configuration (Allow only one reconfiguration)
#pragma config PGL1WAY  = OFF            // Permission Group Lock One Way Configuration (Allow only one reconfiguration)
#pragma config FETHIO   = OFF            // Ethernet I/O Pin Select (Default Ethernet I/O)
#pragma config FMIIEN   = OFF            // Ethernet RMII/MII Enable (MII Enabled)
#pragma config USERID   = 0xFFFF         // 16-bit user ID
//
// DEVCFG2
// Clock tree / PLL:
//   Clock => / FPLLIDIV => FIN => * FPPLMUL => FVCO => PLLODIV => FSYS (SPLL)
//   FIN     PLL Input Frequency Range  5-64 MHz   ECPLL, HSPLL, FRCPLL modes
//   FVCO    PLL VCO Frequency Range    350-700 MHz
//   FPLL    PLL Output Frequency Range 10-200 MHz
//   FSYS System Frequency              DC-200 MHz
//   FREF Reference Clock Frequency     0-50 MHz
//
#pragma config UPLLEN   = OFF            // USB PLL Enable
#pragma config UPLLFSEL = FREQ_24MHZ     // USB PLL Input Frequency Selection
#pragma config FPLLODIV = DIV_2          // System PLL Output Divisor bits
#pragma config FPLLMULT = MUL_50          // System PLL Multiplier
#pragma config FPLLICLK = PLL_FRC //PLL_POSC       // System PLL Input Clock Selection
#pragma config FPLLRNG  = RANGE_8_16_MHZ   // System PLL Input Clock Frequency Range
#pragma config FPLLIDIV = DIV_1          // PLL Input Divider bits
//
// DEVCFG1
//
#pragma config FDMTEN   = OFF            // Deadman Timer Enable bit
#pragma config DMTCNT   = DMT31          // Deadman Timer Count Select bits
#pragma config FWDTWINSZ = WINSZ_75      // Watchdog Timer Window Size in %
#pragma config FWDTEN   = OFF            // Watchdog Timer Enable
#pragma config WINDIS   = NORMAL         // Watchdog Timer Window Mode (NORMAL == non-Window mode)
#pragma config WDTSPGM  = STOP           // Watchdog Timer Stop During Flash Programming
#pragma config WDTPS    = PS1048576      // Watchdog Timer Postscaler (1:xx)
#pragma config FCKSM    = CSDCMD         // Clock Switching and Monitor Selection
#pragma config OSCIOFNC = OFF            // CLKO Output Signal Active on the OSCO Pin
#pragma config POSCMOD  = EC             // Primary Oscillator Configuration (EC == External clock input, HS = High-speed oscillator)
#pragma config IESO     = OFF            // Internal/External Switch Over
#pragma config FSOSCEN  = OFF            // Secondary Oscillator Enable
#pragma config DMTINTV  = WIN_127_128    // DMT Count Window Interval
#pragma config FNOSC    = SPLL           // Oscillator Selection Bits => SYSCLK source selection
//
// DEVCFG0
//
#pragma config EJTAGBEN = NORMAL        // Boot device with normal or reduced EJTAG functionality
#pragma config DBGPER   = PG_ALL        // Debug Mode CPU Access Permission bits
#pragma config FSLEEP   = OFF           // Flash sleep Mode bit (OFF == Power down flash in sleep mode)
#pragma config FECCCON  = OFF_UNLOCKED  // Dynamic Flash ECC Configuration bits
#pragma config BOOTISA  = MIPS32        // Boot ISA Selection bit (Boot in MIPS32 or microMIPS mode)
#pragma config TRCEN    = OFF           // Trace enable bit
#pragma config ICESEL   = ICS_PGx2      // In-circuit debugger communication channel select bits
#pragma config JTAGEN   = ON            // 4-wire JTAG enable bit
#pragma config DEBUG    = OFF           // Background debugger enable bits
//
// DEVCP0
//
#pragma config CP = OFF                 // Code Protect (Protection Disabled)
